Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1331401 (CVE-2016-3710) - CVE-2016-3710 qemu: incorrect banked access bounds checking in vga module
Summary: CVE-2016-3710 qemu: incorrect banked access bounds checking in vga module
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-3710
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1331406 1331407 1331408 1331409 1331410 1331411 1331412 1331413 1331414 1331415 1331606 1331607 1331608 1331609 1331610 1331611 1334173 1334345 1334346
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-28 13:10 UTC by Martin Prpič
Modified: 2021-02-17 03:57 UTC (History)
31 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An out-of-bounds read/write access flaw was found in the way QEMU's VGA emulation with VESA BIOS Extensions (VBE) support performed read/write operations using I/O port methods. A privileged guest user could use this flaw to execute arbitrary code on the host with the privileges of the host's QEMU process.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:51:03 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0724 0 normal SHIPPED_LIVE Important: qemu-kvm security update 2016-05-09 19:27:07 UTC
Red Hat Product Errata RHSA-2016:0725 0 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2016-05-09 19:11:45 UTC
Red Hat Product Errata RHSA-2016:0997 0 normal SHIPPED_LIVE Important: qemu-kvm security update 2016-05-10 08:19:05 UTC
Red Hat Product Errata RHSA-2016:0999 0 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2016-05-10 08:48:30 UTC
Red Hat Product Errata RHSA-2016:1000 0 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2016-05-10 09:04:35 UTC
Red Hat Product Errata RHSA-2016:1001 0 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2016-05-10 09:04:27 UTC
Red Hat Product Errata RHSA-2016:1002 0 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2016-05-10 09:04:20 UTC
Red Hat Product Errata RHSA-2016:1019 0 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2016-05-11 05:01:33 UTC
Red Hat Product Errata RHSA-2016:1224 0 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2016-06-13 21:33:15 UTC
Red Hat Product Errata RHSA-2016:1943 0 normal SHIPPED_LIVE Important: kvm security update 2016-09-27 20:01:26 UTC

Description Martin Prpič 2016-04-28 13:10:21 UTC
Qemu emulator built with VGA emulation with VESA BIOS Extensions(VBE) support is vulnerable to an OOB r/w access issue. It could occur while doing VGA r/w operations via i/o port methods.

A privileged guest user could use this flaw to potentially execute arbitrary code, with privileges of the Qemu process on the host.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-05/msg01197.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/05/09/3

Comment 1 Martin Prpič 2016-04-28 13:10:38 UTC
Acknowledgments:

Name: Wei Xiao (360.cn Marvel Team), Qinghao Tang (360.cn Marvel Team)

Comment 22 Adam Mariš 2016-05-09 06:23:12 UTC
*** Bug 1334178 has been marked as a duplicate of this bug. ***

Comment 23 Adam Mariš 2016-05-09 12:15:46 UTC
Public via:

http://xenbits.xen.org/xsa/advisory-179.html

Comment 24 Prasad Pandit 2016-05-09 12:23:26 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1334346]

Comment 25 Prasad Pandit 2016-05-09 12:23:41 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1334345]

Comment 26 errata-xmlrpc 2016-05-09 15:12:01 UTC
This issue has been addressed in the following products:

  RHEV-H and Agents for RHEL-7

Via RHSA-2016:0725 https://rhn.redhat.com/errata/RHSA-2016-0725.html

Comment 27 errata-xmlrpc 2016-05-09 15:27:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:0724 https://rhn.redhat.com/errata/RHSA-2016-0724.html

Comment 28 errata-xmlrpc 2016-05-10 04:22:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0997 https://rhn.redhat.com/errata/RHSA-2016-0997.html

Comment 29 errata-xmlrpc 2016-05-10 04:48:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 5.0 (Icehouse) for RHEL 7

Via RHSA-2016:0999 https://rhn.redhat.com/errata/RHSA-2016-0999.html

Comment 30 errata-xmlrpc 2016-05-10 05:05:04 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 8.0 (Liberty)

Via RHSA-2016:1002 https://rhn.redhat.com/errata/RHSA-2016-1002.html

Comment 31 errata-xmlrpc 2016-05-10 05:05:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7

Via RHSA-2016:1001 https://rhn.redhat.com/errata/RHSA-2016-1001.html

Comment 32 errata-xmlrpc 2016-05-10 05:06:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7

Via RHSA-2016:1000 https://rhn.redhat.com/errata/RHSA-2016-1000.html

Comment 35 errata-xmlrpc 2016-05-11 01:37:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 5.0 (Icehouse) for RHEL 6

Via RHSA-2016:1019 https://rhn.redhat.com/errata/RHSA-2016-1019.html

Comment 36 Fedora Update System 2016-05-12 07:27:06 UTC
xen-4.5.3-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 37 Fedora Update System 2016-05-15 05:26:06 UTC
qemu-2.4.1-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 38 Fedora Update System 2016-05-16 16:20:12 UTC
xen-4.6.1-8.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 39 Fedora Update System 2016-05-20 23:48:18 UTC
qemu-2.3.1-14.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 40 Fedora Update System 2016-05-28 23:22:07 UTC
xen-4.5.3-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 41 errata-xmlrpc 2016-06-13 17:33:27 UTC
This issue has been addressed in the following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2016:1224 https://access.redhat.com/errata/RHSA-2016:1224

Comment 44 errata-xmlrpc 2016-09-27 16:04:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2016:1943 https://rhn.redhat.com/errata/RHSA-2016-1943.html


Note You need to log in before you can comment on or make changes to this bug.